Bug 220446 - Select images graphically by GeoPosition
Summary: Select images graphically by GeoPosition
Status: RESOLVED FIXED
Alias: None
Product: kphotoalbum
Classification: Unclassified
Component: Browser (show other bugs)
Version: unspecified
Platform: Compiled Sources Unspecified
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KPhotoAlbum Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-28 20:55 UTC by Matthias Füssel
Modified: 2016-01-17 09:50 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Patch implementing this (29.12 KB, patch)
2009-12-28 20:59 UTC, Matthias Füssel
Details
Revised patch - now including CMakeLists.txt (31.22 KB, patch)
2010-01-03 17:23 UTC, Matthias Füssel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Füssel 2009-12-28 20:55:18 UTC
Version:            (using Devel)
Installed from:    Compiled sources

This enables the user to  select images with a geoposition by position using a marble widget.

It creates a new icon on the overviewpage for "select by geoposition". Choosing this will show a marble widget showing the locations of all currently selected images that have a geoposition set. You can then drag a rectangle (Ctrl + mouse drag) to select the images within a region.

Caveats:
 * with marble up do 4.3.4 kphotoalbum crashes usually on the second or third activation of the marble widget. I think this is due to bug 182470 in marble
 * SQL backend geoposition searching not implemented
 * I have tried to make everything compile (and run) fine without marble, but have not tested this
Comment 1 Matthias Füssel 2009-12-28 20:59:42 UTC
Created attachment 39416 [details]
Patch implementing this
Comment 2 Jesper Pedersen 2010-01-03 16:22:21 UTC
The patch must be missing some changes to CMakeFiles.txt, I guess it should at lease compile the new files you've added
Comment 3 Matthias Füssel 2010-01-03 17:23:38 UTC
Created attachment 39521 [details]
Revised patch - now including CMakeLists.txt

Sorry - had forgotten CMakeLists.txt
Comment 4 Miika Turkia 2012-02-05 14:11:36 UTC
Matthias, do you happen to have a newer version of this GeoPositioning patch. It seems that the current one does not compile with GIT version of KPA. I had to first resolve a few conflicts manually but then I got a compilation error as  DB/Result.h does not exist anymore.
Comment 5 Tuomas Suutari 2012-02-05 14:30:23 UTC
On 5 February 2012 16:11, Miika Turkia <miika.turkia@gmail.com> wrote:
> Matthias, do you happen to have a newer version of this GeoPositioning patch.
> It seems that the current one does not compile with GIT version of KPA. I had
> to first resolve a few conflicts manually but then I got a compilation error as
>  DB/Result.h does not exist anymore.

DB::Result has been renamed to DB::IdList so the header is now
DB/IdList.h and Result should be replaced with IdList to make the
patch current again.
Comment 6 Andreas Neustifter 2012-02-05 17:07:28 UTC
I'm sorry but I think its not wise to include new functionality in the release even if there are exisiting patches.

Me personally I would include only patches that fix bugs...
Comment 7 Tobias Leupold 2016-01-17 09:50:46 UTC
This functionality has been added in the meantime and will be released with KPA 4.7.